Subject: Re: [patch net-next-2.6] net: make dev->master general

From: Patrick McHardy <[email-masked]>
Date: Mon, 14 Feb 2011 17:27:06 +0100

Am 14.02.2011 15:11, schrieb Nicolas de Pesloüan:
> Le 14/02/2011 10:01, Jiri Pirko a écrit :
>> That is true. I think that it makes no sense to have iface enslaved in
>> bond and bridge at the same time. Do you have a scenario where it makes
>> sense?
> 
> Agreed for bonding/bridge, because both tend to eat all skb, even if
> bridge has a way to give skb to others, as stated above. Bonding
> might/should do the same.
> 
> But, for macvlan or vlan for example, it is different. They will ignore
> skb not matching the correct dst_mac (macvlan) or vlan_id (vlan) and
> give a chance to other to use the skb.

Both are not slaves of the device, so its not really related to this
patch. Slaves sit below the device, macvlan and vlan sit above the
device. Their link to the "real" device is through ->iflink.